Name:		cgdcbxd
Version:	1.0.1
Release:	1%{?dist}
Summary:	DCB network priority management daemon	
Group:		System Environment/Base
License:	GPLv2
URL:		https://github.com/jrfastab/cgdcbxd

# The source for this package was pullled from upstreams vcs.  Specifically it
# was pulled from the projects github site using the following dynamic tarball
# generating url:
# https://github.com/jrfastab/cgdcbxd/zipball/v1.0.1
Source0:	jrfastab-%{name}-v%{version}-0-g87bd754.tar.gz

# The service file was created locally for the fedora project, but will be sent
# upstream shortly
Source1:	%{name}.service
BuildRequires:	libcgroup-devel libmnl-devel libtool systemd-units
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
This is a daemon to manage the priority of network traffic in dcb enabled
environments.  By using the information exchanged over the dcbx protocol on a
LAN, this package will enforce network priority on running applications on your
host using the net_prio cgroup

%prep
%setup -q -n jrfastab-cgdcbxd-87bd754

%build
./bootstrap.sh
%{configure}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/cgdcbxd.service

%files
%doc COPYING
%{_unitdir}/cgdcbxd.service
%{_mandir}/man8/*
%{_sbindir}/*

%post
if [ $1 -eq 1 ] ; then 
	# Initial installation 
	/bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
	# Package removal, not upgrade
	/bin/systemctl --no-reload disable cgdcbxd.service > /dev/null 2>&1 ||
:
	/bin/systemctl stop cgdcbxd.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
	# Package upgrade, not uninstall
	/bin/systemctl try-restart cgdcbxd.service >/dev/null 2>&1 || :
fi

%changelog
* Mon Jun 25 2012 Neil Horman <nhorman@tuxdriver.com> 1.0.1-1 
- Initial build
